#
# Conditional build:
%bcond_without	apidocs		# gtk-doc documentation
%bcond_with	static_libs	# static library

%define		xfce_version	4.12.0
Summary:	Utility library for the Xfce desktop environment
Summary(pl.UTF-8):	Biblioteka narzędziowa dla środowiska Xfce
Name:		libxfce4util
Version:	4.12.1
Release:	2
License:	LGPL v2+
Group:		Libraries
Source0:	http://archive.xfce.org/src/xfce/libxfce4util/4.12/%{name}-%{version}.tar.bz2
# Source0-md5:	4eb012b6c1292ceedb3a83ebfc1ff08d
URL:		http://www.xfce.org/projects/libxfce4
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.8
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.30.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.0}
BuildRequires:	gtk-doc-automake >= 1.0
BuildRequires:	intltool >= 0.31
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	perl-base
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRequires:	xfce4-dev-tools >= %{xfce_version}
Requires:	glib2 >= 1:2.30.0
Requires:	xfce4-dirs >= 4.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Basic utility non-GUI functions for Xfce.

%description -l pl.UTF-8
Podstawowe funkcje narzędziowe nie związane z GUI dla Xfce.

%package devel
Summary:	Development files for libxfce4util library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libxfce4util
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.30.0

%description devel
Development files for the libxfce4util library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libxfce4util.

%package static
Summary:	Static libxfce4util library
Summary(pl.UTF-8):	Statyczna biblioteka libxfce4util
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libxfce4util library.

%description static -l pl.UTF-8
Statyczna biblioteka libxfce4util.

%package apidocs
Summary:	libxfce4util API documentation
Summary(pl.UTF-8):	Dokumentacja API libxfce4util
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
libxfce4util API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libxfce4util.

%package tools
Summary:	Tools for libxfce4util library
Summary(pl.UTF-8):	Narzędzia biblioteki libxfce4util
License:	GPL v2+
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description tools
Tools for libxfce4util library.

%description tools -l pl.UTF-8
Narzędzia biblioteki libxfce4util.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--enable-gtk-doc%{!?with_apidocs:=no} \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static} \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}/libxfce4util}

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
# just a copy of ur
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/libxfce4util.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxfce4util.so.7

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxfce4util.so
%dir %{_includedir}/xfce4
%{_includedir}/xfce4/libxfce4util
%{_pkgconfigdir}/libxfce4util-1.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libxfce4util.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}
%endif

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/xfce4-kiosk-query
%changelog
* Fri Apr 29 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libxfce4util.git;a=log;h=master

* Fri Apr 29 2016 Elan Ruusamäe <glen@delfi.ee> 2b757c0
- noarch apidocs

* Sat Mar 28 2015 Jan Rękorajski <baggins@pld-linux.org> 775f374
- up to 4.12.1

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> 8783cd8
- x32 rebuild
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 17f730b
- updated gettext BR

* Mon Aug 25 2014 Jakub Bogusz <qboosh@pld-linux.org> ddd576e
- updated dependencies, unified subpackages order

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> aca9b57
- fixed install
- rel 2

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> f4dc7db
- up to 4.11.0

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 90b07cb
- disable static libs
- update soname

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> f674bc5
- xfce 4.10

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 8821e3a
- 4.10.0

* Wed Feb 16 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 35baf31
- merged from DEVEL

* Fri Feb 04 2011 sparky <sparky@pld-linux.org> 6775d8c
- %description <name> for correct %package

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> 121da47
- BR: docbook-dtd412-xml, intltool

* Sun Nov 14 2010 Jan Rękorajski <baggins@pld-linux.org> cdd42fe
- rel 2
- no ur_PK here

* Sun Nov 14 2010 Jan Rękorajski <baggins@pld-linux.org> 4dc3163
- 4.6.2

* Thu Nov 11 2010 Jan Rękorajski <baggins@pld-linux.org> 744050d
- rel 3
- dirs cleanup

* Wed May 06 2009 Marcin Banasiak <marcin.banasiak@gmail.com> bbf42e5
- own /usr/share/xfce4/doc/gl
- release 2

* Mon Apr 27 2009 Adam Gołębiowski <adamg@pld-linux.org> f7daf03
- updated to 4.6.1

* Sun Mar 01 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 614b4b1
- added %{_datadir}/xfce4/doc/da

* Sat Feb 28 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 0e864d0
- own more dirs

